Update billing spend controls

When authenticated with an API key, this operation requires api-admin.

Authentication

AuthorizationBearer
Console user session or Mixlayer API key supplied as a Bearer token.

Path parameters

billing_account_idstringRequired
Billing account ID

Request

This endpoint expects an object.
prepaid_low_balance_warning_threshold_centslong or nullRequired>=1

Low prepaid balance warning threshold in cents. Use null to disable this control. Non-null values must be positive and require a prepaid account.

usage_spend_cutoff_threshold_centslong or nullRequired>=1

Usage spend cutoff threshold in cents. Use null to disable this control. Non-null values must be positive.

usage_spend_warning_threshold_centslong or nullRequired>=1

Usage spend warning threshold in cents. Use null to disable this control. Non-null values must be positive and lower than the cutoff when both are set.

Response

Updated billing spend controls
dataobject
Spend controls configured for a billing account.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
413
Content Too Large Error
415
Unsupported Media Type Error
422
Unprocessable Entity Error
500
Internal Server Error